
Redmine - Feature #8039

Start issues from 1 per project

2011-04-01 08:53 - Aleksandar Pavic

Status: Closed Start date: 2011-04-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Does not seem that anyone reported this feature, however I've started to use Redmine in pretty big company, and we have ~80

ongoing projects.

It would be better to have features/issues starting from 1 on each project, instead of for example 437, on a first project which is in

totally different department.

Related issues:

Is duplicate of Redmine - Feature #5765: Issue Numbers per Project Closed 2010-06-27

History

#1 - 2011-04-01 09:34 - Etienne Massip

- Category set to Issues

#2 - 2011-04-01 20:19 - Ivan Cenov

What would happen when moving issues from one to another project:

Let there be P1 and P2, and there be issue_1 in both: P1i1, P2i1. What will be the identifier of P1i1 when it is moved to P2?

#3 - 2011-04-03 18:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #5765.

#4 - 2011-04-05 20:50 - Aleksandar Pavic

Ivan Cenov wrote:

What would happen when moving issues from one to another project:

Let there be P1 and P2, and there be issue_1 in both: P1i1, P2i1. What will be the identifier of P1i1 when it is moved to P2?

 Well I'd keep issue id as primary key in DB, but make them visible via second set of keys project & id, if issue is moved, than it would get new id.

#5 - 2014-08-23 18:48 - Andriy Lesyuk

Just released the plugin, that can help you (it requires project key in addition to the issue number). Please try.
